#
# spec file for package aisleriot
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aisleriot
Version:        3.22.5
Release:        lp152.3.7
Summary:        Solitaire Card Games for GNOME
License:        GPL-3.0-or-later
Group:          Amusements/Games/Board/Card
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/aisleriot/3.22/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  guile-devel
BuildRequires:  intltool
BuildRequires:  lsb-release
BuildRequires:  pkgconfig
# Needed to get lsb data
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gconf-2.0) >= 2.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(librsvg-2.0)
Requires:       guile
Recommends:     %{name}-lang
%{gconf_schemas_prereq}

%description
Aisleriot is a compilation of 80 different solitaire card games.

%package themes
Summary:        Extra themes for the Aisleriot solitaire card game program
Group:          Amusements/Games/Board/Card
Requires:       %{name} = %{version}
Enhances:       %{name}
BuildArch:      noarch

%description themes
Aisleriot is a compilation of 80 different solitaire card games.

This package provides extra themes for Aisleriot.

%lang_package

%prep
%setup -q

%build
# Hack up configure. This allows us not having to rely on openSUSE-release, which is a daily changing package
sed -i 's:DISTRO="unknown":DISTRO="opensuse":' configure
%configure \
    --disable-schemas-install \
    --disable-static \
    --enable-sound \
    --with-guile=auto
make %{?_smp_mflags}

%install
%make_install
%fdupes -s %{buildroot}%{_datadir}/help
%suse_update_desktop_file -N "AisleRiot" -G "Solitaire" sol
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas

%pre -f aisleriot.schemas_pre
%posttrans -f aisleriot.schemas_posttrans
%preun -f aisleriot.schemas_preun

%files -f aisleriot.schemas_list
%license COPYING.GFDL
%doc AUTHORS ChangeLog
%if 0%{?suse_version} <= 1140
%doc %dir %{_datadir}/help
%doc %dir %{_datadir}/help/C
%endif
%doc %{_datadir}/help/C/aisleriot/
%{_bindir}/sol
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/sol.appdata.xml
%{_datadir}/applications/sol.desktop
%{_datadir}/aisleriot/
%dir %{_libdir}/aisleriot
%dir %{_libdir}/aisleriot/guile
%dir %{_libdir}/aisleriot/guile/*
%dir %{_libdir}/aisleriot/guile/*/aisleriot
%{_libdir}/aisleriot/guile/*/aisleriot/api.go
%{_libdir}/aisleriot/guile/*/*.go
%if "%{_libdir}" != "%{_libexecdir}"
%dir %{_libexecdir}/aisleriot
%endif
%{_libexecdir}/aisleriot/ar-cards-renderer
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-aisleriot*
%{_datadir}/icons/hicolor/*/apps/gnome-freecell.*
%{_mandir}/man?/sol*%{ext_man}
# Kind of ugly to own the valgrind directory, but the other solutions (a dep on
# valgrind, a subpackage, etc.) are not worth it
%dir %{_libdir}/valgrind
%{_libdir}/valgrind/aisleriot.supp
# Exclude files that are in themes
%exclude %{_datadir}/aisleriot/cards/anglo.svgz
%exclude %{_datadir}/aisleriot/cards/anglo_bitmap.svgz
%exclude %{_datadir}/aisleriot/cards/bellot.svgz
%exclude %{_datadir}/aisleriot/cards/bonded.svgz
%exclude %{_datadir}/aisleriot/cards/dondorf.svgz
%exclude %{_datadir}/aisleriot/cards/gnomangelo_bitmap.svgz
%exclude %{_datadir}/aisleriot/cards/ornamental.svgz

%files themes
%{_datadir}/aisleriot/cards/anglo.svgz
%{_datadir}/aisleriot/cards/anglo_bitmap.svgz
%{_datadir}/aisleriot/cards/bellot.svgz
%{_datadir}/aisleriot/cards/bonded.svgz
%{_datadir}/aisleriot/cards/dondorf.svgz
%{_datadir}/aisleriot/cards/gnomangelo_bitmap.svgz
%{_datadir}/aisleriot/cards/ornamental.svgz

%files lang -f aisleriot.lang

%changelog
* Mon Mar 12 2018 dimstar@opensuse.org
- Update to version 3.22.5:
  + Bugs fixed: bgo#779434.
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Oct 31 2017 luc14n0@linuxmail.org
- Update to version 3.22.4:
  + Updated translations.
- Drop %%glib2_gsettings_schema_*, %%desktop_database_ and
  %%icon_theme_cache_* post/postun/requires macros: functionality
  now covered by file triggers.
- Pass --enable-sound to configure to ensure sound is enabled.
* Tue Oct  3 2017 jengelh@inai.de
- Update package descriptions.
* Mon Sep 11 2017 luc14n0@linuxmail.org
- Update to version 3.22.3:
  + Updated translations.
* Wed May 10 2017 zaitor@opensuse.org
- Update to version 3.22.2:
  + build:
  - Build against guile 2.2 by default.
  - Print guile version on configure summary.
  + Install appstream metadata to /usr/share/metainfo.
  + Updated translations.
* Tue Apr 25 2017 dimstar@opensuse.org
- Fix build with different versions of guile than 2.0.
* Mon Nov  7 2016 dimstar@opensuse.org
- Update to version 3.22.1:
  + Prefer CSS cursors (bgo#772966).
  + Updated translations.
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + themes: qt:
  - Port to qt5.
  - Fix KDE card theme path on fedora.
  - Fix rsvg includes.
  + build:
  - More warnings.
  - Fix configure debug check.
  + docs: man: Update man page.
  + Add Language headers to po files.
  + Updated translations.
* Thu May 12 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated appdata to latest specification.
  + build: Treat precious variables correctly.
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.1:
  + sol: Fails to start when running with gtk+ 3.19 but compiled
    against earlier version.
  + board: Try to work with newer gtk+.
  + all: Remove clutter leftovers.
* Sat Mar 19 2016 zaitor@opensuse.org
- Update to version 3.20.0:
  + sol: Don't accept non-UTF-8 locale.
  + guile:
  - Remove export for '_'.
  - Set the default port encoding to UTF-8.
  - Use guile builtin gettext.
  + conf: Fix storing window size.
  + build: Don't fail configure if gconf macros are not installed.
  + Update appdata.
  + Fix the type of ar_card_theme_qsvg_get_card_aspect.
  + Updated translations.
* Fri Jan 29 2016 dimstar@opensuse.org
- Drop appdata-tools BuildRequires: the build not longer validates
  appdata.xml and upstream is responsible for its validity.
* Mon Nov  9 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + New games: Hamilton, Wall.
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + sol:
  - Don't call deprecated function g_type_init (bgo#747885).
  - Suppress deprecated object property warnings (bgo#749195).
  + help: Fix typos in documentation (bgo#746671).
  + wall: Add new game 'Wall' (bgo#747583).
  + hamilton: Add new 'Hamilton' game.
  + Updated translations.
* Mon May 11 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + icon: provide a symbolic variant of the app icon (bgo#747007).
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Thu Apr 16 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Bugs fixed: bgo#702951, bgo#735242, deb#777507.
  + Updated translations.
* Mon Jan 26 2015 dimstar@opensuse.org
- Update to version 3.15.0:
  + build: Distcheck with all card theme formats enabled.
  + Add QtSvg based renderer for KDE card themes.
  + Plug some memory leaks.
  + Bugs fixed: bgo#739567, bgo#659623.
  + Updated translations.
* Fri Nov 14 2014 dimstar@opensuse.org
- Drop openSUSE-release BuildRequires: as this package gets a daily
  update to represent the build version, aisleriot is being rebuilt
  for no reason everyday.
- Hackup configure to fallback to 'opensuse' as release when no
  /etc/os-release can be found.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Revert "build: Run configure script with bash".
  + build: Require bash to run configure.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Fix logo on about dialog (bgo#737674).
  + Updated translations.
* Sun Sep 21 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + svg: Allow big SVG card themes to load.
  + Correct the appdata file name.
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + board: Use nicer hand cursors.
  + Remove theme install code.
  + Remove PackageKit catalogue support (bgo#672604).
  + Updated translations.
- Add appdata-tools BuildRequires: new dependency to validate the
  .appdata file.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + build: Remove GNOME_COMMON_INIT (bgo#729400).
  + board: Use nicer hand cursors.
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Build fixes (bgo#715120, bgo#726780).
  + Games fixes (bgo#677197).
  + Updated translations.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + board: Make the moving cards window native. Forcing the moving
    cards subwindow to be native works around the window being
    invisible due to the gtk drawing changes (bgo#702951).
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updated translations.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Build fixes.
  + Updated translations.
* Sun Jul 28 2013 zaitor@opensuse.org
- Update to version 3.9.90:
  + Many game improvements.
  + New card decks.
  + Build fixes.
  + Updated translations.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
- Replace dummy-release BuildRequires with suse-release: configure
  uses /etc/os-release to identify the distribution and do some
  sane defaults based on this.
* Tue Mar  5 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + Bugs fixed: bgo#588260, bgo#679715, bgo#688525, bgo#695086,
    bgo#695087, bgo#695102.
  + Updated translations.
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + Updated translations.
* Wed Oct 17 2012 zaitor@opensuse.org
- Add fdupes buildrequires, and use fdupes macro to get rid of
  duplicate help files.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Updated translations.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Fix help link
  + Updated translations.
* Sun Aug 19 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + Many games fixes
  + Updated translations.
* Mon Jun  4 2012 dimstar@opensuse.org
- Update to version 3.5.0:
  + Build fixes.
  + Many games fixes.
  + Updated translations.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 3.4.0.1:
  + Updated translations.
- Remove sed hack in %%prep for missing translations: fixed
  upstream.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Updated translations.
- Note that we keep the sed hack in %%prep for missing translations:
  things are still broken, unfortunately.
* Mon Mar 26 2012 vuntz@opensuse.org
- Remove hack to find localized help: this has been fixed in
  find-lang.sh.
* Sun Feb 26 2012 vuntz@opensuse.org
- Change itstool BuildRequires to yelp-tools: this is really what
  is needed for build.
* Tue Feb  7 2012 vuntz@opensuse.org
- Update to version 3.3.2:
  + Misc improvements and bug fixes
  + Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Drop gnome-freecell.png source file and stop manually installing
  a 256x256 icon: it's done upstream now.
- Add sed hack in %%prep to work around a bug in yelp-tools that
  caused this tarball to not contain all help translations.
* Tue Dec 20 2011 vuntz@opensuse.org
- Update to version 3.3.1:
  + Aisleriot now requires guile >= 2.0
  + Many improvements and bug fixes
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Remove pkgconfig(ice) and pkgconfig(sm) BuildRequires: removed
  upstream.
- Really drop aisleriot-automagic-guile.patch.
- Drop aisleriot-fix-freecell-exception.patch: fixed upstream.
* Mon Nov 28 2011 malcolmlewis@opensuse.org
- Add aisleriot-fix-freecell-exception.patch: Fix trying to make
  the first move in a freecell game generates an exception
  (bnc#730053, bgo#649730).
* Mon Nov 21 2011 dimstar@opensuse.org
- Update to version 3.3.0:
  + Change card theme format
  + Many game fixes
  + Updated translations.
- Drop aisleriot-automagic-guile.patch: fixed upstream.
- Remove gnome-common BuildRequires and call to gnome-autogen.sh as
  we don't carry any patch requiring this anymore.
- Pass --with-guile=auto to configure.
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 3.2.2:
  + Dist missing sound files
* Sun Nov 13 2011 malcolmlewis@opensuse.org
- Add missing guile Requires: game will not start without it
  (bnc#730053).
* Tue Oct 18 2011 malcolmlewis@opensuse.org
- Skip aisleriot-automagic-guile.patch when building on 11.4
  since the guile version in 11.4 is not recent enough to
  require the patch.
* Mon Oct 17 2011 dimstar@opensuse.org
- Update to version 3.2.1:
  + Minor bugfixes
  + Updated translations.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Update card theme install info for debian (bgo#659997)
  + Updated translations.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 3.1.92:
  + Distribute a copy of the LGPL
  + Update card theme install info for opensuse and ubuntu
    (bgo#648601)
  + Update card theme install info for ubuntu (bgo#648601)
  + Fix the build with the 'file' help method (bgo#656967)
  + Build ghelp with yelp-tools instead of gnome-doc-utils
    (bgo#657683)
  + Fix game restart (bgo#657735)
  + Updated translations.
- Drop aisleriot-theme-install.patch: fixed upstream.
- Change gnome-doc-utils-devel BuildRequires to itstool, following
  the change in help build system.
- Remove --disable-scrollkeeper configure option: it doesn't exist
  anymore.
- Manually list the translated help documents as %%find_lang needs
  to support the new XDG help system first.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Sun Sep  4 2011 vuntz@opensuse.org
- Add aisleriot-automagic-guile.patch: make detection of guile
  version automatic by default, to avoid having to specify it in
  configure.
- Add gnome-common BuildRequires and call to gnome-autogen.sh for
  above patch.
* Wed Aug 24 2011 badshah400@gmail.com
- Added icon of size 256x256 for freecell (bnc#713902)
* Tue Aug 16 2011 dimstar@opensuse.org
- Update to version 3.1.1:
  + bgo#325039: Add Aunt Mary back
  + Updated translations.
* Fri Jul  1 2011 vuntz@opensuse.org
- Split some card themes in aisleriot-themes, to make the main
  package smaller.
- Add aisleriot-theme-install.patch to let aisleriot know about the
  right name of the package for extra themes.
* Wed Jun 15 2011 vuntz@opensuse.org
- New package (version 3.1.0). Aisleriot was split from the
  gnome-games tarball.
